#ifndef KERNEL_API_INC_SEM_H_
#define KERNEL_API_INC_SEM_H_
#include <ucos_ii.h>
typedef OS_EVENT sem_t;

extern void *smart_sem_create(int cnt);

extern void smart_sem_pend(void *sem);
extern int smart_sem_post(void *sem);
extern int smart_sem_del(void *sem);

extern sem_t *g_sem;
#endif /* KERNEL_API_INC_SEM_H_ */
